package com.yihu.jw.restmodel.hospital.prescription;

import com.yihu.jw.restmodel.UuidIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;


/**
 * 
 * 居民收获地址vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年06月12日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyPatientExpressageAddrVO", description = "居民收获地址")
public class WlyyPatientExpressageAddrVO extends UuidIdentityVO {

    /**
	 * 居民标识
	 */
	@ApiModelProperty(value = "居民标识", example = "模块1")
    private String patient;

    /**
	 * 省编码
	 */
	@ApiModelProperty(value = "省编码", example = "模块1")
    private String provinceCode;

    /**
	 * 省名称
	 */
	@ApiModelProperty(value = "省名称", example = "模块1")
    private String provinceName;

    /**
	 * 市编码
	 */
	@ApiModelProperty(value = "市编码", example = "模块1")
    private String cityCode;

    /**
	 * 城市名称
	 */
	@ApiModelProperty(value = "城市名称", example = "模块1")
    private String cityName;

    /**
	 * 区县编码
	 */
	@ApiModelProperty(value = "区县编码", example = "模块1")
    private String townCode;

    /**
	 * 区县名称
	 */
	@ApiModelProperty(value = "区县名称", example = "模块1")
    private String townName;

    /**
	 * 街道编码
	 */
	@ApiModelProperty(value = "街道编码", example = "模块1")
    private String streetCode;

    /**
	 * 街道名称
	 */
	@ApiModelProperty(value = "街道名称", example = "模块1")
    private String streetName;

    /**
	 * 居住居委会代码
	 */
	@ApiModelProperty(value = "居住居委会代码", example = "模块1")
    private String committeeCode;

    /**
	 * 居住居委会名称
	 */
	@ApiModelProperty(value = "居住居委会名称", example = "模块1")
    private String committeeName;

    /**
	 * 具体详细地址
	 */
	@ApiModelProperty(value = "具体详细地址", example = "模块1")
    private String address;

    /**
	 * 作废标识，1正常，0作废
	 */
	@ApiModelProperty(value = "作废标识，1正常，0作废", example = "模块1")
    private String del;

    /**
     * 收货人手机号
     */
    @ApiModelProperty(value = "收货人手机号", example = "模块1")
    private String mobile;


    /**
     * 收货人姓名
     */
    @ApiModelProperty(value = "收货人姓名", example = "模块1")
    private String name;


    /**
     * 是否是默认地址，1是，0不是，一个用户只能有一个默认地址
     */
    @ApiModelProperty(value = "默认地址标识，1是，0不是", example = "模块1")
    private Integer isDefault;

    /**
     * 是否是默认地址，1是，0不是，一个用户只能有一个默认地址
     */
    @ApiModelProperty(value = "默认地址标识，1是，0不是", example = "模块1")
    private Date createTime;


    public String getPatient() {
        return patient;
    }
    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getProvinceCode() {
        return provinceCode;
    }
    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getProvinceName() {
        return provinceName;
    }
    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityCode() {
        return cityCode;
    }
    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }
    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getTownCode() {
        return townCode;
    }
    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }

    public String getTownName() {
        return townName;
    }
    public void setTownName(String townName) {
        this.townName = townName;
    }

    public String getStreetCode() {
        return streetCode;
    }
    public void setStreetCode(String streetCode) {
        this.streetCode = streetCode;
    }

    public String getStreetName() {
        return streetName;
    }
    public void setStreetName(String streetName) {
        this.streetName = streetName;
    }

    public String getCommitteeCode() {
        return committeeCode;
    }
    public void setCommitteeCode(String committeeCode) {
        this.committeeCode = committeeCode;
    }

    public String getCommitteeName() {
        return committeeName;
    }
    public void setCommitteeName(String committeeName) {
        this.committeeName = committeeName;
    }

    public String getAddress() {
        return address;
    }
    public void setAddress(String address) {
        this.address = address;
    }

    public String getDel() {
        return del;
    }
    public void setDel(String del) {
        this.del = del;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}